Subject: bug#54627: closed (Re: [bug#54627] [PATCH] gnu: libressl: Update to 3.3.6.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 12 Apr 2022 18:47:02 +0000

Your bug report

#54627: [PATCH] gnu: libressl: Update to 3.3.6.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54627: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=54627
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#54627] [PATCH] gnu: libressl: Update to 3.3.6.
From: Liliana Marie Prikler <[email-masked]>
To: Leo Famulari <[email-masked]>
Cc: [email-masked]
Date: Tue, 12 Apr 2022 20:46:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Dienstag, dem 29.03.2022 um 18:11 -0400 schrieb Leo Famulari:
> On Tue, Mar 29, 2022 at 09:52:43PM +0200, Liliana Marie Prikler
> wrote:
> > * gnu/packages/tls.scm (libressl): Update to 3.3.6.
> > ---
> > Hi Guix,
> > 
> > In light of lfam's comment over at guix-devel, I tried updating
> > libressl.
> > Version 3.3.6 is currently the latest in the 3.3 tree, so it ought
> > to be save to bump, but I didn't verify that with all packages
> > yet.  Bumping to 3.5 won't be possible without addressing a failing
> > test case.
> 
> Thanks!
> 
> Will you be able to test the build of the packages that depend on
> libressl?
Since this didn't fail any package that isn't currently failing (at the
very least clamav has its own bug report by now), I've pushed this now.
Let me know if that was a mistake.

Cheers :)

Subject: [PATCH] gnu: libressl: Update to 3.3.6.
From: Liliana Marie Prikler <[email-masked]>
To: [email-masked]
Date: Tue, 29 Mar 2022 21:52:43 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/tls.scm (libressl): Update to 3.3.6.
---
Hi Guix,

In light of lfam's comment over at guix-devel, I tried updating libressl.
Version 3.3.6 is currently the latest in the 3.3 tree, so it ought to be save
to bump, but I didn't verify that with all packages yet.  Bumping to 3.5 won't 
be possible without addressing a failing test case.

Cheers

 gnu/packages/tls.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/tls.scm b/gnu/packages/tls.scm
index c776085cad..99e9b429ce 100644
--- a/gnu/packages/tls.scm
+++ b/gnu/packages/tls.scm
@@ -610,14 +610,14 @@ (define-public bearssl
 (define-public libressl
   (package
     (name "libressl")
-    (version "3.3.3")
+    (version "3.3.6")
     (source (origin
               (method url-fetch)
               (uri (string-append "mirror://openbsd/LibreSSL/"
                                   "libressl-" version ".tar.gz"))
               (sha256
                (base32
-                "0rihprcgxsydsbcqgd1952k2cfn4jmp7rlyp1c6sglfc6rdmcwd4"))))
+                "16jbzqj9wy2z10x8ppx63idw44k0d3wly0grpar0s6g1cn9q8a1z"))))
     (build-system gnu-build-system)
     (arguments
      `(#:configure-flags
-- 
2.34.0